Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Create support ticket vote

POST/workspaces/{organizationId}/support/tickets/{ticketId}/votes
Path parameters
organizationIdstringrequired
ticketIdstringrequired
Request body
application/json
emailstring<email>required
customerIdstring
prioritystring | null
Allowed:nice_to_haveimportantmust_havenull
sourceTicketIdstring
Responses
201

Vote added — idempotent per (ticket, email); repeat calls update priority/provenance. When the caller is staff or an agent, the vote is recorded as cast on behalf of the voter.

voteobjectrequired
Show properties
idstringrequired
ticketIdstringrequired
customerIdstring | nullrequired
voterEmailstringrequired
prioritystring | nullrequired
Allowed:nice_to_haveimportantmust_havenull
castByActorTypestring | nullrequired
Allowed:useragentnull
castByActorIdstring | nullrequired
sourceTicketIdstring | nullrequired
createdAtstringrequired
createdbooleanrequired
Try it
Server
Parameters
Bodyapplication/json
Request
curl -X POST '/workspaces/string/support/tickets/string/votes' \
  -H 'Content-Type: application/json' \
  -d '{
  "email": "user@example.com",
  "customerId": "string",
  "priority": "nice_to_have",
  "sourceTicketId": "string"
}'
Response
{
  "vote": {
    "id": "string",
    "ticketId": "string",
    "customerId": "string",
    "voterEmail": "string",
    "priority": "nice_to_have",
    "castByActorType": "user",
    "castByActorId": "string",
    "sourceTicketId": "string",
    "createdAt": "string"
  },
  "created": true
}